Contenu | Rechercher | Menus

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
flashplayer [Le 20/08/2013, 12:34]
85.69.124.225 [Les vidéos flash saccadent]
flashplayer [Le 03/12/2016, 13:27] (Version actuelle)
86.246.93.91 [Pour Chromium et Opera]
Ligne 1: Ligne 1:
-{{tag>Raring Quantal ​Precise ​Lucid Maverick Natty navigateur ​ubuntu_64bits ​flash plugin_navigateur}}+{{tag> Precise ​Trusty ​navigateur flash plugin_navigateur}}
  
 ---- ----
  
-<note warning> Adobe arrête le développement du plugin Flash pour Linux pour se consacrer à Windows.\\ +{{  http://wwwimages.adobe.com/www.adobe.com/shockwave/download/images/flashplayer_100x100.jpg?50}}
-La dernière version stable est la 11.2, ils continueront à fournir les correctifs de sécurité pendant 5 ans (soit la durée de vie d'​Ubuntu 12.04). Néanmoins, Adobe refuse de corriger des bugs qui rendent Flash Player inutilisable. \\ +
-"//Adobe will continue to provide security updates to non-Pepper distributions of Flash Player 11.2 on Linux for** five years** from its release//" [[https://​blogs.adobe.com/flashplayer/2012/02/adobe-and-google-partnering-for-flash-player-on-linux.html?PID=4165004| source blog d'​Adobe]]+
  
-Installer [[google_chrome|google-chrome]] ou [[chromium-browser#​installation_du_plugin_flash|chromium-browser]] afin de bénéficier d'une version supérieure de Flash Payer 11.2 (par exemple pour pouvoir jouer à //Forge of empires// qui ne fonctionne plus sous Flash Player ​11.2) +====== Adobe Flash Player™ ======
-</​note>​+
  
-====== ​Adobe Flash Player ​======+<​note>​Le présent document traite de l'​installation et l'​intégration dans un navigateur du lecteur officiel **Flash Player** d'//Adobe Systems™//​ uniquement. \\ 
 +Néanmoins, différents logiciels libres développés en tant qu'​alternatives à Flash Player ​sont disponibles pour Ubuntu : voir la page sur [[:​Flash]].</​note>​
  
-{{  ​http://​wwwimages.adobe.com/​www.adobe.com/​shockwave/download/images/flashplayer_100x100.jpg}}+**Adobe Flash Player** est un logiciel propriétaire permettant de lire des animations vectorielles interactives (''​.swf''​) et des vidéos au format Flash (''​.flv''​) développé par //[[http://​www.adobe.com/​fr/|Adobe Systems™]]//. Il se rencontre communément sous forme de greffon pour [[:​navigateur|navigateurs web]], lisant le contenu multimédia de nombreux sites.\\ 
 +\\ 
 +**Adobe Flash Player** est axé autour des technologies Flash, propriétaires et en partie fermées. Ceci ralentit inéluctablement l'​avancée de solutions libres et, par ce fait même, la démocratisation des technologies Flash sur l'​ensemble des architectures matérielles et systèmes existantes. \\ 
 +Toutefois, ces technologies ne sont plus présentes sur les systèmes mobiles qui équipent les smartphones et tablettes (iOS, Android 4.1,Windows 8 RT, ...). \\
  
-**Adobe ​Flash Player** est un logiciel propriétaire permettant ​de lire des animations vectorielles interactives (''​.swf''​) ​et des vidéos au format Flash (''​.flv''​) développé par //Adobe Systems//. Le plus communément rencontré sous forme de greffon pour navigateur web, lisant le contenu multimédia de nombreux sites, ce logiciel est propriétaire et n'est disponible que pour certaines architectures matérielles et systèmes d'​exploitation populaires.+Heureusement,​ les nouvelles fonctionnalités introduites par les normes ouvertes de l'​ensemble [[wpfr>​Vidéo_HTML5|HTML5]] permettent de réaliser les animations similaires à ce que proposait ​Flashde voir des vidéos ou d'écouter de la musique, ou bien de gérer le microphone ​et la webcam de votre ordinateurCertains prototypes permettent même de réaliser des jeux dans le navigateur web.\\
  
-Attention, si vous avez déjà un plugin Flash installé et que vous voulez en installer un autre (par exemple, vous avez installé un plugin libre qui ne permet pas de consulter correctement Dailymotion,​ Deezer et les vidéos de Facebook), ​ pensez à désinstaller le premier. Voir ici pour des [[flashplayer#​Sous Ubuntu 9.04|explications complémentaires]]. 
  
-<​note>​**Alternatives libres** \\ Flash Player ​est axé autour des technologies Flashpropriétaires et en partie ferméesCeci ralentit inéluctablement l'​avancée ​de solutions libres et, par ce fait même, la démocratisation des technologies Flash sur l'ensemble des architectures matérielles et systèmes existantes. Néanmoins, ​différents logiciels libres développés en tant qu'​alternatives à Flash Player ​sont disponibles ​pour Ubuntu : voir la page sur [[flash#Lecteurs Flash|Flash]].+ <​note ​importantAdobe arrête le développement du plugin ​Flash pour %%GNU/​Linux%% pour se consacrer à Windows. La dernière version stable ​est la 11,2,202,xxx. 
 +Adobe continuera à fournir les correctifs ​de sécurité pendant 5 anssoit jusqu'​en 2017 (la durée de vie d'Ubuntu [[:​Precise|Précise 12.04 LTS]]). Néanmoins, ​Adobe refuse de corriger des bugs qui rendent ​Flash Player ​inutilisable ​pour certaines vidéos et animations.  
 +[[https://​blogs.adobe.com/​flashplayer/​2012/​02/​adobe-and-google-partnering-for-flash-player-on-linux.html?​PID=4165004(en) Source blog d'​Adobe ​]].\\
  
-Le présent document traite de l'installation et l'​intégration ​dans un navigateur du lecteur officiel Flash Player ​d'Adobe Systems uniquementPour des informations concernant ​[[Gnash]] et [[Swfdec]], consultez leur document dédié.</​note>​+Flash ne s'arrêtera finalement pas à la version 11.2.202 en 2017 comme prévu au début, une mise à jour a eu lieu dans le canal beta d'adobe flash d'​après cette note du 31.08.16: 
 +[[https://​blogs.adobe.com/​flashplayer/​2016/​08/​beta-news-flash-player-npapi-for-linux.html#​sthash.3gR3RhEv.umKKMvb8.dpbs| (en) Source blog d'​Adobe ​]].\\
  
 +Pour bénéficier alors d'une version supérieure de FlashPayer pour Ubuntu, (par exemple pour pouvoir jouer à //Forge of empires// ou utiliser //​Audiotool//​),​ il suffit soit d'​utiliser:​
 +  * [[:​Chromium-browser|Chromium]] ou [[:​Opera]] ​ avec le plugin **[[#​pour_Chromium_et_opera|Pepper Flash]]** ​
 +  * [[ :Google Chrome]]
 +  * [[:​Firefox]] avec le plugin **[[#​pour_firefox|Freshplayerplugin]]** (fonctionne aussi pour [[:​Opéra]])
 +  * [[:​Firefox]] avec **[[:​Pipelight]]** pour utiliser la dernière version Windows(r) de **Flashplayer**. Solution qui de plus, permet d'​accéder à certaines pages offrant des contenus vidéos "​protégés"​ comme le [[:​m6replay|direct ou le"​replay"​ des chaînes de télévision du groupe M6]]
 +  * [[:​Firefox]] avec **[[:​shumway]]**
 +</​note>​
  
- =====Installation===== +===== Pré-requis ​=====
-**Pré-requis à l'​installation du plugin flashplayer.** +
-  * Avant toute nouvelle installation,​ désinstallez la version précédente de Flash.+
  
-==== Installation via les dépôts Ubuntu (à partir de Ubuntu 12.04) ====+  * Disposer des [[:​sudo|droits d'​administration]]. 
 +  * Disposer d'une connexion ​à Internet configurée et activée. 
 +  * Disposer d'un [[:​navigateur|navigateur internet]] supportant Flashplayer.
  
-[[:​tutoriel:​comment_installer_un_paquet|Installez le paquet]] ​**[[apt>​flashplugin-installer]]**.+=====Installation===== 
 +Valable pour tous les navigateurs,​ la version ​**11,​2,​202,​xxx** sera la dernière version disponible pour %%GNU/​linux%%.
  
-<​code>​sudo apt-get -y install ​flashplugin-installer<​/code> +==== Depuis les dépôts officiels==== 
-==== Ubuntu 11.10 (recommandé====+**Méthode recommandée** depuis mai 2015 : \\ 
 +activer les [[:​depots#​depot_partenaire_ou_depot_commercial|dépôts partenaires de Canonical]] \\  
 +- puis [[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​adobe-flashplugin]]** \\ 
 +Cette méthode est vivement conseillée car elle permet de gérer les 2 versions différentes de Flash disponibles actuellement sous Firefox et Chromium 
 +https://​wiki.ubuntu.com/​Chromium/​Getting-Flash \\ 
 +\\ 
 +//Ancienne méthode : [[:​tutoriel:​comment_installer_un_paquet|Installer le paquet]] **[[apt>flashplugin-installer]]**.\\ 
 +\\ 
 +__À noter__: Adobe flash est aussi fourni dans les paquets [[Formats non-libres|Formats non-libres ​(restricted-extras)]].//
  
-=== Version 32bits ​===+==== Depuis le site d'​Adobe==== 
 +<note important>​Installer un paquet hors des dépôts officiels peut présenter un risque d'​instabilité pour votre système.</​note>​ 
 +  * Rendez-vous sur [[https://​get.adobe.com/​fr/​flashplayer/​otherversions/​|la page de téléchargement du site Adobe "​autres versions"​]] 
 +  *Etape 1 : Choisissez votre système d'​exploitation ...  **Linux (32-bit)** ou **Linux (64-bit)** selon votre [[:​architecture matérielle]];​ 
 +  *Etape 2 : Choisissez votre version...**Flash Player 11.2 for Ubuntu (apt)**; 
 +  * Laissez-vous guider.
  
-Le plus simple ​: **[[apt>​adobe-flashplugin|Adobe flash plugin 10]]**+==== Installation derrière un proxy ==== 
 +Derrière un proxy, l'​installation depuis les dépôts officiels peut rencontrer des dysfonctionnements,​ bien qu'il n'y ait aucun message d'​erreur ((https://​bugs.launchpad.net/​ubuntu/​+source/​flashplugin-nonfree/​+bug/​1098233)). 
 +  - Installez le paquet ​**[[apt>flashplugin-installer]]**. 
 +  - Rendez-vous sur [[http://​archive.canonical.com/​pool/​partner/​a/​adobe-flashplugin/|ce site]]
 +  - Téléchargez la dernière archive ​**adobe-flashplugin_xx.x.xxx.xxx.orig.tar.gz**;​ 
 +  - Ouvrez un [[:​terminal]] et à l'aide de la commande **[[:​console#​cd|cd]]**,​ rendez-vous dans le dossier où vous avez téléchargé le fichier.  
 +  - Pour finir, entrez la [[:​commande_shell|commande]]<​code>​sudo /​usr/​lib/​flashplugin-installer/​install_plugin $(pwd)/​adobe-flashplugin_xx.x.xxx.xxx.orig.tar.gz</​code>​ (remplacez les "​xxx"​ par les numéros qui conviennent)
  
-  * Lancer la logithèque Ubuntu +==== Test et n° de version ==== 
-    * Chercher //adobe flash// +Pour savoir si votre plugin ​flash est bien installé et également pour connaître le numéro de version du pluginle plus simple ​est d'aller sur la [[http://www.adobe.com/fr/software/flash/about/|page de test de Adobe]]
-    * Choisir //​Adobe ​flash plugin ​10// +Cette page liste également le numéro de la dernière version produite (par //Adobe)// pour chaque plate-forme.
-    * Si le bouton //​Installer//​ n'est pas disponible : +
-      * Cliquer sur //​Plus ​d'information//​ +
-      * Choisir d'​utiliser ​la source proposée (partenaires de Canonical) +
-      * Attendre le changement d'​écran +
-    * Cliquer sur //​Installer//​ **sauf si vous êtes en 64 bits** ([[https://bugs.launchpad.net/ubuntu/​+source/software-center/+bug/873773|bug]]), auquel cas appliquez la méthode du paragraphe suivant.+
  
-=== Version 64 bits (Installation via le dépôt Oneric Partner) === 
  
-Supprimez les anciens paquets Flash (voir le paragraphe [[#​Installation|Pré-requis]] ci-dessus ), puis : 
  
-//(  [[:KDE]], Avec le gestionnaire ​de paquetage Muonrecherche "adobe flash" , clic droit : marquer ​pour suppressionappliquer ​les changements )//+=====Utiliser une version supérieure===== 
 +En partenariat avec Google, Adobe développe une couche pour %%GNU/Linux%% qui s'​intercale entre le greffon Flashplayer et Google-Chrome dans le but de faire abstraction des différences entre le navigateur et les systèmes d'​exploitation. Nom de code : **Pepper**. [[http://​blogs.adobe.com/​flashplayer/​2012/​02/​adobe-and-google-partnering-for-flash-player-on-linux.html|(en) Source blog d'​Adobe]]. \\ 
 +Cette installation vous permet de récupérer cette couche puis de l'​installer dans [[:chromium-browser|Chromium]], [[:Opera]] ainsi que dans [[:​Firefox]] après l'​installation ​de **freshplayerplugin**, pour s'​affranchir de l'​arrêt du développement de Flashplayer pour %%GNU/​Linux%%.\\ 
 +La désinstallation de la version antérieure n'est pas nécessaire, les deux versions peuvent coexister.
  
-  ​Activez ​les dépôts ​"​Partenaires de Canonical"​ dans Sources de logiciel ​=> "​Autres logiciels"​ +====Pour Chromium et Opera==== 
-OU Décommentez,​ ou ajoutez, dans le fichier ​///​etc/​apt/​sources.list//, la ligne : +<note important>​Depuis Chrome 54 (Octobre 2016) la solution utilisant pepperflashplugin-nonfree décrite ci-dessous ne fonctionne plus. Il faut se retourner vers le paquet ​**[[apt>​adobe-flashplugin]]**.</​note>​ 
 +===Depuis ​les dépôts ​officiels==
 +//(Disponible à partir de [[:​trusty|Trusty 14.04 LTS]] seulement)//
  
-  deb http://archive.canonical.com/ubuntu oneiric partner+[[:tutoriel:​comment_installer_un_paquet|Installer le paquet]] **[[apt>​pepperflashplugin-nonfree]]**.\\ 
 +<​code>​sudo apt-get install pepperflashplugin-nonfree<​/code> 
 +A noter que si vous avez déjà installé le paquet **[[apt>​adobe-flashplugin]]** \\ il n'est plus nécessaire pour Chromium d'​installer le paquet **[[apt>​pepperflashplugin-nonfree]]**.\\ pour disposer de la dernière version de Flash.
  
-  * Mettez à jour le cache d'​aptitude et installez ​le paquet : //adobe-flashplugin/​/+Si après avoir installé ​le paquet ​les vidéos flash ne fonctionnent toujours pas, ouvrez un [[terminal|terminal]] et entrez la [[:commande_shell|commande]] suivante: 
 +<​code>​sudo update-pepperflashplugin-nonfree --verbose --install<​/code>
  
-  sudo apt-get update +===Depuis un PPA=== 
-  ​sudo apt-get install adobe-flashplugin+//(Pour toutes les [[:​versions]] d'​Ubuntu)//​  
 +<note important>​Installer un paquet hors des dépôts officiels peut présenter un risque d'​instabilité pour votre système.</​note>​ 
 +  ​[[:​PPA|Ajouter le PPA]] **ppa:​skunk/​pepper-flash**((https://​launchpad.net/​~skunk/​+archive/​ubuntu/​pepper-flash)) dans vos sources de logiciels; ​ 
 +  - [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|Recharger la liste des paquets]];​ 
 +  ​[[:​tutoriel:​comment_installer_un_paquet|Installer le paquet]] **[[apt>​pepflashplugin-installer]]**. 
 +Ou dans un [[:​terminal]],​ réaliser les opérations suivantes :
  
-Vous pouvez aussi récupérer le paquet sur le site officiel Adobe : [[http://get.adobe.com/flashplayer/otherversions/]]+  - [[editeur_de_texte|Editer]] le fichier **/​etc/​apt/​sources.list** pour ajouter un dépôt à la liste des sources de paquets. 
 +  - Rajouter la ligne suivante à la fin du fichier : 
 +**%%deb ​http://ppa.launchpad.net/skunk/pepper-flash/ubuntu '​VERSION'​ main%%** 
 +<note help> 
 +Si on a Ubuntu 12.04, par exemple, à la place de '​VERSION'​ il faut écrire precise :\\  
 +**%%deb http://​ppa.launchpad.net/​skunk/​pepper-flash/​ubuntu precise main%%**
  
 +//**On doit aussi utiliser precise pour les versions ultérieures de Ubuntu qui ne sont plus prises en charge, comme Ubuntu 12.10.**//
 +</​note>​
 +Saisir ensuite les [[:​commande_shell|commandes]] :
 +<​code>​sudo apt-get update
 +sudo apt-get install pepflashplugin-installer</​code>​
  
-==== Installation via le site Adobe (lien apt 32 et 64bits)====+Le paquet pepflashplugin-installer va chercher ​le Pepper Flash plugin ​et l'​installe. Il ne reste alors plus qu'à reconfigurer Chromium pour qu'il puisse s'en servir.
  
-  ​* Supprimez les anciens paquets Flash (voir le paragraphe  ​[[#​Installation|Pré-requis]] ci-dessus) +  ​[[editeur_de_texte|Editer]] le fichier **/​etc/​chromium-browser/​default** 
-  ​* Rendez-vous sur [[http://get.adobe.com/flashplayer/otherversions|cette page du site Adobe]] et choisissez le téléchargement correspondant à votre système +  - Rajouter la ligne suivante à la fin du fichier ​:\\  
-  ​La logithèque s'​ouvre et vous guideil ne reste plus qu'à cliquer sur installer+**%%. /usr/lib/pepflashplugin-installer/pepflashplayer.sh%%*
 +(un pointun espace, et puis l'adresse)
  
 +C'est fini ! On peut lancer Chromium, il utilise désormais la dernière version en date de flashplayer.
  
-==== Installer une version différente ====+<note tip>Il existe deux moyens de le vérifier : \\ 
  
-Si vous souhaitez utiliser une version plus ancienne de Flash requise sur certains sites de vidéo en ligne, veuillez suivre ​la discussion suivante : http://forum.ubuntu-fr.org/​viewtopic.php?​pid=8958351#​p8958351+%%- Charger ​la page Chrome://plugins : Adobe Flash Player affichera deux versions, la plus récente, et l'​ancienne (11.2 r202).%% \\ 
  
-<note tip>Le recours à une version plus ancienne > 11.1.102.XX peut résoudre certains problèmes (exbug de Flash sur les machines à base de processeurs ne gérant pas le jeu d'​instructions SSE2)mais rouvre des failles de sécurité</​note>​ +%%- Aller sur la page http://www.adobe.com/​software/​flash/​about/ ​Une petite fenêtre indiquera la version utilisée (actuellement 16,0,0,305).%%</​note>​
-===== Utilisation =====+
  
-==== Pour rendre disponible FlashPlayer pour un logiciel tiers hors navigateur Web ====+====Pour ​Firefox====
  
-Par exemple pour [[Vuze]].\\ +<​note>​//« Une autre possibilité consiste à activer les dépôts partenaires de Canonical puis installer le paquet **adobe-flashplugin**Cette 2ème méthode est vivement conseillée depuis ​le mois de Mai 2015 car elle permet de gérer les 2 versions différentes de Flash disponibles actuellement sous Firefox ​et Chromium https://wiki.ubuntu.com/Chromium/Getting-Flash »//
-Il faut créer un lien symbolique vers le fichier libflashplayer.so (variable selon l'​endroit où il est installé) et /usr/lib/​xulrunner-addons/​plugins. +
-Par exemple dans le cas de Firefox, pour l'​ensemble des utilisateurs ​: +
-  sudo ln -s /​usr/​lib/​mozilla/plugins/libflashplayer.so /usr/lib/​xulrunner-addons/plugins+
  
 +→ Si vous souhaitez la dernière version de (Pepper-)Flash "​dans"​ firefox via freshplayerplugin,​ **l'​installation de pepperflashplugin-nonfree n'est plus nécessaire si vous utilisez déjà adobe-flashplugin**.</​note>​
  
-==== FlashPlayer « standalone » AKA Projector====+Le navigateur Chrome contient de façon intégrée une version récente de Flash (Pepper-flash). Celui-là même installé par **adobe-flashplugin**. Il est possible pour Firefox d’utiliser cette version de Flash en installant le paquet **freshplayerplugin** qui adapte Flash-pepper à Firefox :
  
-Parfois vous aurez besoin ​d'un FlashPlayer qui puisse lire les animations flash en dehors ​d'un navigateur internet... (par exemple pour le prochain aMSN qui gère les clins d'œil en option, ou encore jouer sans être connecté à Internet à vos jeux Flash préférés ...)+<note important>​Installer un paquet hors des dépôts officiels peut présenter un risque ​d'instabilité pour votre système.\\ 
 +\\ 
 +**À partir ​d'Ubuntu 16.04** //​freshplayerplugin//​ s'​appelle désormais **browser-plugin-freshplayer-pepperflash** et se trouve dans les dépôts multiverse\\ 
 +(plus besoin du ppa webupd8).</​note>​ 
 +  - [[:​PPA|Ajouter le PPA]] **ppa:​nilarimogard/​webupd8**((https://​launchpad.net/​~nilarimogard/​+archive/​ubuntu/​webupd8)) dans vos sources de logiciels;  
 +  - [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|Recharger la liste des paquets]];​ 
 +  - [[:​tutoriel:​comment_installer_un_paquet|Installer le paquet]] **[[apt>​freshplayerplugin]]**;​ 
 +Ou dans un [[:​terminal]],​ saisir les [[:​commande_shell|commandes]] suivantes :  
 +<​code>​sudo add-apt-repository ppa:​nilarimogard/​webupd8 
 +sudo apt-get update 
 +sudo apt-get install freshplayerplugin 
 +</​code>​ 
 +Relancez Firefox ​(activez au passage ​le plugin dans les modules complémentaires s’il ne l’est pas déjà).
  
-Un lecteur externe est disponible ici : [[http://www.adobe.com/support/flashplayer/downloads.html]] (Aller au paragraphe "​Linux"​et cliquez sur le lien **Download the Linux Flash Player xx.y Projector (TAR.GZx.xxMB)**+====Avec Pipelight==== 
 +Solution permettant aussi d'​accéder à certaines pages offrant des contenus vidéos "​protégés"​ comme le [[:m6replay|direct,​ le "​replay"​ des chaînes de télévision du groupe M6]], ou encore le site d'​apprentissage de langues tellmemore. 
 +<note important>​**Pipelight** ne fonctionne pas avec [[:​chromium-browser|Chromium]] et ses dérivés. [[https://bugs.launchpad.net/ubuntu/+source/chromium-browser/​+bug/​1307989|(en) Source]]</​note>​ 
 +Pour [[:​Firefox]] ou [[:​Midori]],​ vous pouvez avec l'aide de [[:​Pipelight]],​ utiliser la dernière version Flash de Windows(r). A noterPipelight pour fonctionner utilise un programme et des dépendances Microsoft(r).
  
-[[formats_archives|Décompressez]] l'archive ​et envoyez ​le binaire flashplayer dans **/​usr/​bin** (nécessite les droits ​[[:sudo]]).+  - Assurez-vous de ne pas avoir une autre version de Flash d'installée,  
 +  - Installer Pipelight ​et valider ​le plugin flash selon la procédure de la [[:pipelight|page consacrée à Pipelight]].   
 +===== Utilisation ===== 
 +Pour simplement visionner des vidéos et animations développées en Flash sur internet, il n'y a pas d'​action particulière à faire. Au démarrage de votre navigateur internet ​ le greffon Flash est chargé et prêt à l'​emploi. Un simple clic sur le média suffit à le lire.
  
-Essayez d'​ouvrir un fichier ​.swf pour tester (Pour Nautilus ​Clic droit sur le fichier, "​ouvrir avec...", puis tapez 'flashplayer' ​dans "commande personnalisée")+En outre, FlashPlayer enregistre dans votre système des éléments appelés « Local Shared Objects » ou LSO, pouvant mettre à mal votre vie privée en agissant comme des super-cookies. 
 +Vous pouvez les supprimer manuellement dans les dossiers suivants ​: 
 +  * ''​~/​.macromedia/​Flash_Player/#​SharedObjects''​ 
 +  * ''​~/​.macromedia/​Flash_Player/​macromedia.com/​support/​flashplayer/​sys''​ 
 +  * ''"​~/​.config/​chromium/​Default/​Pepper Data/​Shockwave Flash"''​ 
 +Ou interdire l’écriture du dossier en faisant: <​code>​chmod -w ~/​.macromedia</​code>​
  
-==== Gestionnaire ​de paramètres et sécurité ====+Pour les utilisateurs ​de Firefox, il existe une extension nommée **[[https://​addons.mozilla.org/​fr/​firefox/​addon/​6623|BetterPrivacy]]**,​ permettant la gestion des LSO.
  
-<note important>​Pensez à régler les autorisations d'​accès des applications flash à votre matériel/​ordinateur.</​note>​+==== Rendre disponible FlashPlayer pour une application tierce hors navigateur Web ====
  
-Ce [[http://www.macromedia.com/support/documentation/fr/flashplayer/help/settings_manager.html | lien]] vous permet ​de comprendre ce qu'il faut faire.+Par exemple pour [[:Vuze]]. Il faut créer un lien symbolique vers le fichier ''/​usr/​lib/freshplayerplugin-nonfree/**libfreshwrapper.so**''​* et le dossier ''​/usr/lib/xulrunner-addons/plugins''​. 
 +Dans le cas de Firefox, pour l'​ensemble des utilisateurs : 
 + <​code>​ sudo ln -s /usr/lib/​freshplayerplugin-nonfree/​libfreshwrapper.so /​usr/​lib/​xulrunner-addons/​plugins</​code>​ 
 +*//​L’emplacement ​de **libfreshwrapper.so** peut différer selon les versions/​variantes d'UbuntuA adapter si besoin.//
  
-En outre, ​Flash Player enregistre dans votre système des éléments appelés « Local Shared Objects » ou LSOpouvant mettre à mal votre vie privée ​en agissant comme des super-cookies. +==== Flash player autonomedénommé "​Projector"​==== 
-Vous pouvez ​les supprimer manuellement dans les dossiers suivants : +Parfois vous aurez besoin d'un FlashPlayer qui puisse lire les animations flash en dehors d'un navigateur internet... (par exemple pour le prochain aMSN qui gère les clins d'œil en option, ou encore jouer sans être connecté à Internet à vos jeux Flash préférés ​...) \\ 
-  * ~/.macromedia/​Flash_Player/#​SharedObjects +Un lecteur externe développé par Adobe est disponible [[http://www.adobe.com/​support/​flashplayer/​downloads.html|ici]]. Aller au paragraphe "​Linux"​ et cliquez sur le lien **Download the Linux Flash Player 11.2 Projector (TAR.GZx.xxMB)**\\ 
-  * ~/.macromedia/​Flash_Player/​macromedia.com/​support/​flashplayer/​sys +[[:formats_archives|Extraire]] l'​archive et avec les [[:​sudo|droits d'​administration]],​ copier le binaire flashplayer dans le dossier ''​/usr/bin''​.\\ 
- +Et pour finir, il faut associer les fichiers ​ ''​.swf''​ au Player Flash d'​Adobe. Pour cela, faire un clic droit sur un fichier ''​.swf''​ et choisir dans le menu déroulant "//ouvrir avec une autre application//" -//"​Afficher d'autres applications//". Il ne reste plus qu'à sélectionner Flashplayer\\
-Pour les utilisateurs de Firefoxil existe une extension nommée ​**[[https://addons.mozilla.org/fr/firefox/addon/6623|BetterPrivacy]]**,​ permettant la gestion des LSO <del>(dont l'effacement automatique)<​/del>.+
  
 ===== Problèmes connus ===== ===== Problèmes connus =====
  
-==== Problème de souris avec FlashPlayer10 sous Ubuntu 64 bits et Compiz ​====+==== ERROR: failed to retrieve status information from google : W: There is no public key available for the following key IDs ====
  
-//Ce problème concerne uniquement FlashPlayer installé sur Ubuntu 64bits via les dépôts Ubuntu.//+Si cette erreur apparait lors de l'​installation de  **''​pepflashplugin-installer''​** : 
 +<​code>​ 
 +ERROR: failed to retrieve status information from google : W: There is no public key available for the following key IDs: 
 +1397BC53640DB551 
 +More information might be available at: 
 +  http://wiki.debian.org/PepperFlashPlayer 
 +</​code>​ 
 +C'est que la clé doit être ajoutée au porte clés pepperflashplugin-nonfree de la manière suivante, procédez comme suit : 
 +<​code>​gpg --keyserver pgp.mit.edu --recv-keys 1397BC53640DB551</​code>​ 
 +<​code>​gpg --export --armor 1397BC53640DB551 | sudo tee -a /​usr/​lib/​pepperflashplugin-nonfree/​pubkey-google.txt</​code>​ 
 +Ensuite, taper les commandes suivantes : 
 +<​code>​sudo dpkg-reconfigure pepperflashplugin-nonfree 
 +sudo update-pepperflashplugin-nonfree -s</code>
  
-Certains sites web utilisant Flash ne répondent plus aux actions de la souris sous Firefox ​avec le plugin Flash 32 bits (flashplugin-nonfree ainsi que le flashplugin-installer). Un des symptômes est que le fait de cliquer sur des boutons d'une animation flash ne déclenche rien ou qu'il faille de nombreux clics pour que l'​action soit prise en compte. [[https://​bugs.edge.launchpad.net/​ubuntu/​+source/​flashplugin-nonfree/​+bug/​410407|Rapport de bug sur Launchpad]].+==== Problèmes ​avec du texte dans des animations ====
  
-Ce problème semble être dû à un conflit ​avec Compiz. Pour le résoudre voici les manipulations à effectuer (en dehors d'​arrêter Compiz) : +Si vous avez des problèmes ​avec du texte dans des animations Flash[[:tutoriel:comment_installer_un_paquet|installez les paquets]] **[[apt>ttf-mscorefonts-installer]] **et **[[apt>gsfonts-x11]]**
- +  
-Ouvrez un terminal et recopiez-y la ligne de commande suivantepuis validez ​  +==== Processeurs AMD Athlon ou Sempron====
-<​code>​gksudo gedit /​usr/​lib/​nspluginwrapper/​i386/​linux/​npviewer</​code>​ +
- +
-Ajouter la ligne suivante AVANT la dernière ligne de texte : +
-<code>export GDK_NATIVE_WINDOWS=1</​code> +
- +
-Enregistrer et redémarrer votre application utilisant Flash. +
- +
- +
- +
- +
- +
-==== Problèmes avec du texte dans des animations ​====+
  
-Si vous avez des problèmes ​avec du texte dans des animations Flash, [[:​tutoriel:​comment_installer_un_paquet|installez ​les paquets]] [[apt>​msttcorefonts|msttcorefonts (multiverse)]] et [[apt>​gsfonts-x11|gsfonts-x11 (main)]].+Sur les anciennes plate-formes **AMD Athlon** ou **Sempron**,​ le plugin internet FlashPlayer s'​arrête inopinément voire ne démarre pas. \\ 
 +Depuis la version 11,​2.202,​228 la bibliothèque partagée **libflashplayer.so** semble être compilée ​avec le support ​des instructions SSE2. Ce jeu d'​instructions n'est pas supporté par les anciens processeurs AMDIl n'y a pas de solution dans l'​immédiat car le code source du plugin FlashPlayer n'est pas libre. \\ 
 +Des contournements sont possibles :
  
-==== Plus de Flash après mise à niveau ​d'Ubuntu ====+===Utiliser Pipelight  ​===  
 +À l'aide des navigateurs internet [[:​Firefox]] ou [[:​Midori]],​ [[:​Pipelight]] permet d'​utiliser la dernière version Flashplayer pour Windows(r). En plus de prendre en compte ​ les anciennes plate-formes **AMD Athlon** ou **Sempron**,​ Pipelight règle les problèmes de l'​arrêt du développement de Flashplayer et la gestion des %%DRM%% sous %%GNU/​Linux%% pour certains sites. 
 +<note important>​**Pipelight** n'est pas disponible depuis les dépôts officiels mais depuis un [[:PPA]]. Installer un paquet hors des dépôts officiels peut présenter un risque ​d'instabilité pour votre système.</​note>​ 
 + A noter, Pipelight pour fonctionner utilise un programme et des dépendances Microsoft(r). 
 +  - Installer Pipelight et valider le plugin flash selon la procédure de la [[:​pipelight|page consacrée à Pipelight]].  ​
  
-Il semble que dans certains cas, FlashPlayer cesse de fonctionner après la mise à niveau ​d'Ubuntu (exemple testé : passage ​de 9.10 à 10.04 LTS). Ainsi, dans le navigateur, les contenus Flash ne sont plus exécutés même si le plugin est effectivement installé. Pour y remédier, il suffit ​de fermer toutes les fenêtres du navigateur et tout autre programme ​utilisant ​Flashet de désinstaller le paquet flashplugin-installer de la manière suivante : +===Se passer ​d'Adobe FlashPlayer ===  
-  ​sudo apt-get purge flashplugin-installer +  * La technologie HTML5 se développant rapidement, ​de plus en plus de site de vidéos en utilisant ​cette techniques'​affranchissent ​de Flashplayer. 
-puis de le réinstaller depuis les dépôts officiels (partner) +  ​* Remplacer Flashplayer par [[:flash#​choisir_une_solution_de_remplacement_libre_ou_installer_le_lecteur_officiel_proprietaire|Viewtube]].
-  sudo apt-get install flashplugin-installer+
   ​   ​
-==== Arrêt inopiné ​de FlashPlayer avec les anciens processeurs AMD ====+===Revenir à une ancienne version ​de la bibliothèque libflashplayer.so ​=== 
 +<note important>​ Même si l'​ancienne version archivée 10.3.xxx bénéficie encore de mises à jour, gardez à l'​esprit qu'​elle est moins suivie. Des failles de sécurité peuvent alors ne plus être décelées. Restez prudent.</​note>​ 
 +  - Avoir [[#​installation|installé la dernière version de Flashplayer]] pour Ubuntu. 
 +  - Se rendre sur la page des [[http://​helpx.adobe.com/​flash-player/​kb/​archived-flash-player-versions.html#​flash_player_archives |archives d'​Adobe Flashplayer]]. A la rubrique **Flash player archives**;​ 
 +  - Télécharger l'​archive ''​.zip''​ la plus récente des versions 10.3 de Flash Player pour toutes plate-formes;​ 
 +  - Extraire de cette archive la bibliothèque partagée **libflashplayer.so** situé dans l'​archive 10.3....tar.gz;​ 
 +  - Remplacer la version 11.2 de la librairie **libflashplayer.so** se trouvant dans le dossier ''/​usr/​lib/​**flashplugin-installer**''​ par celle extraite; //​(L'​endroit peut différer selon les versions/​variantes d'​Ubuntu. Le mieux est de [[:​recherche_de_fichiers|lancer une recherche]] de **libflashplayer.so** pour en connaître le chemin)//​. 
 +  - Fermer et relancer votre navigateur.
  
-Sur les **anciennes plateformes AMD Athlon ou Sempron**, le plugin FlashPlayer s'arrête inopinémentLe contenu disparaît ​de la page web en cours de visualisationPlusieurs explorateurs Internet sont concernés.+Soit dans un [[:​terminal]] avec les [[:​commande_shell|commandes]] suivantes :\\ 
 +//(Exemple avec l'​archive ''​**fp_10.3.183.90_archive.zip**''​ téléchargé dans le dossier **Téléchargements** de votre dossier personnel.)//​ 
 +  * Décompresser l'​archive ''​**fp_10.3.183.90_archive.zip**''​ que vous venez de télécharger : 
 +<​code>​unzip ~/​Téléchargements/​fp_10.3.183.90_archive.zip</​code>​ 
 +Dans cette archive ''​.zip''​ décompresséeil y a une autre archive ''​.tar.gz''​ qui renferme ​le fichier ​''​**libflashplayer.so**''​ pour GNU/linux.  
 +  * Extraire ''​**libflashplayer.so**'' ​de l'​archive ''​**flashplayer_10_3r183_90_linux.tar.gz**''​ : 
 +<​code>​tar xvzf fp_10.3.183.90_archive/​10_3_r183_90/​flashplayer_10_3r183_90_linux.tar.gz libflashplayer.so</​code>​ 
 +  * Avec les [[:​sudo|droits d'​administration]],​ remplacer ​la version 11.2 : 
 +<​code>​sudo cp -i libflashplayer.so /​usr/​lib/​flashplugin-installer</​code>​ 
 +  * Relancer votre navigateur internet et vérifier le bon fonctionnement des vidéos Flashplayer.
  
-Depuis ​la version v11.2.202.228la librairie partagée ​**libflashplayer.so** ​semble être compilée avec le support des instructions SSE2. Ce jeu d'​instructions n'est pas supporté par les anciens processeurs AMD.+<note important>​Lors des mises à jour d'​Ubuntu,​ n'​oubliez pas de décocher ​la mise à jour du plugin Flashplayer (Dans le cas contraireil vous faudra de nouveau remplacer le fichier ​**libflashplayer.so**).</​note>​
  
-[[https://bugs.launchpad.net/​ubuntu/​+source/​adobe-flashplugin/​+bug/​968759|Se référer au bug dans Lunchpad]]+<note tip>​L'​archive Flashplayer version 10.3 ne vous sera plus utile. Si vous le souhaitez, vous pouvez alors [[:tutoriel/comment_supprimer_un_fichier|supprimer]] l'​archive ''​.zip''​ et le dossier ​ décompressé mais conservez à sa place le fichier extrait **libflashplayer.so**. Il pourrait vous être utile de nouveau en cas de mise à jour inopportune de flashplayer. Dans ce cas, en conservant le fichier **libflashplayer.so**,​ il vous suffira alors d'​exécuter de nouveau la dernière [[:​commande_shell|commande]] ci-dessus pour ainsi revenir à l'​ancienne version.</​note>​
  
-Il n'y a pas de solution dans l'​immédiat car le code source du plugin FlashPlayer n'est pas libre. 
  
-===Des contournements sont possibles :=== +==Supprimer le message d'​avertissement (Plug-in obsolète) dans Chromium== 
-  * Se passer de FlashPlayer : [[flash#​et_pour_les_petites_configurations_on_remplace_flash_par_du_logiciel_libre|Remplacer Flash par du libre]] +À chaque chargement d'une page nécessitant l'​utilisation du Flash, ​[[:​chromium-browser|Chromium]] informe que le plugin est obsolète et demande ​une validation avant exécution. Pour modifier ​ce comportement nous allons ajouter un paramètre au lancement du navigateur. 
-  * Installer ​une version antérieure de FlashPlayer en se reportant à ce fil de discussion : [[http://forum.ubuntu-fr.org/viewtopic.php?pid=8958351#​p8958351]]  +<note warning> Attention ! La suppression ​de cette alerte ne concerne pas uniquement flashplayer mais tous les plugins non à jour. Restez prudent.</​note>​ 
-<note warning>Attention, installer une version antérieure du plugin ​permet l'​exploitation ​de failles de sécurité.</note>+Il faut pour cela ajouter **--allow-outdated-plugins** à **CHROMIUM_FLAGS=""​** dans le fichier ''/​etc/​chromium-browser/​default''​ ([[http://support.google.com/​chrome/​bin/answer.py?hl=fr&​answer=1181003|Chrome -> Plug-ins obsolètes]]
 +  * [[tutoriel/​comment_editer_un_fichier|Éditer]] avec les [[:​sudo|droits d'​administration]] le fichier ''/​etc/​chromium-browser/​default''​. Pour cela, dans un [[:​terminal]],​ saisir la [[:​commande_shell|commande]] suivante : 
 +<code>gksudo gedit /​etc/​chromium-browser/​default</​code>​ 
 +  * Ajouter : **--allow-outdated-plugin** entre les guillements ​de **CHROMIUM_FLAGS=""​**. 
 +Ce qui donne alors comme ligne : <​file>​CHROMIUM_FLAGS="​—allow-outdated-plugin"​</file> 
 +  * Enregistrer et fermer votre éditeur de texte; 
 +  * Redémarrer Chromium.
  
-===Procédure pour Xubuntu (ou autre) 12.04 et Chromium 20.0 :=== 
-==Remplacer la version 11.2 par la version 10.3 de  libflashplayer.so== 
-  * Télécharger le fichier **Flash Player 10.3.183.48 (Released 12/11/2012) ou la version 10.3.xx la plus récente** [[http://​helpx.adobe.com/​flash-player/​kb/​archived-flash-player-versions.html#​flash_player_archives|dans les archives d'​Adobe]] 
-  * Extraire la librairie partagée **libflashplayer.so** (dans /tmp par exemple) depuis **fp_10.3.183.18_archive.zip/​10_3r183_18/​flashplayer10_3r183_18_linux.tar.gz** 
-  * Remplacer la librairie libflashplayer.so (11.2.202.228) se trouvant dans **/​usr/​lib/​flashplugin-installer** par celle extraite (10.3 r183) 
-  * Fermer et relancer Chromium et utiliser l'URL **chrome:​plugins** pour vérifier que la **version 10.3** a remplacé la version 11.2 
-==Supprimer le message d'​avertissement (Plug-in obsolète)== 
-À chaque chargement d'une page nécessitant l'​utilisation du Flash, Chromium informe que le plugin est obsolète et demande une validation avant exécution. Pour modifier ce comportement nous allons ajouter un paramètre au lancement du navigateur. 
-Il faut pour cela ajouter **'​--allow-outdated-plugins'​** à **CHROMIUM_FLAGS=""​** dans le fichier **/​etc/​chromium-browser/​default** ([[http://​support.google.com/​chrome/​bin/​answer.py?​hl=fr&​answer=1181003|Chrome > Plug-ins obsolètes]]) 
-==Ne pas mettre à jour le plug-in== 
-Lors des mises à jour, il faut décocher la mise à jour du plugin Flash (sous peine de devoir recommencer la procédure). 
 ==== Dailymotion avec flash 64bits ==== ==== Dailymotion avec flash 64bits ====
-Il semble que [[http://​forum.ubuntu-fr.org/​viewtopic.php?​id=566031|dans certains cas]], le FlashPlayer en version 64 bits ne fonctionne pas avec DailyMotion. La commande suivante semble résoudre le problème :+Il semble que dans certains cas ([[http://​forum.ubuntu-fr.org/​viewtopic.php?​id=566031|Voir fil de discussion sur le forum]]), le FlashPlayer en version 64 bits ne fonctionne pas avec DailyMotion. La [[:​commande_shell|commande]] suivante ​saisie dans un [[:​terminal]] ​semble résoudre le problème : 
 +<​code>​rm -R ~/​.macromedia</​code>​ 
 +  
 +==== Vidéos bleues ==== 
 +FIXME : //Ce problème est-il encore d'​actualité ? Les derniers pilotes Nvidia ne semblent plus affectés//​. \\
  
-  rm -R ~/.macromedia +Flashplayer 11.2xxx, (Dernière version pour GNU/linux développée par Adobe), utilise ​l'accélération graphique sur la plupart des plates-formes. Malheureusementl'​accélération pour GNU/linux n'est pas prise en charge. Les vidéos se lisent en mode "​Schtroumpf",​ c'​est-à-dire que tous les visages sont bleutés ​sous les conditions suivantes ​
-   +  * Vous utilisez un nouveau GPU Nvidia avec le support VDPAU. 
-==== Problème de vidéos bleues ==== +  *Vous utilisez la version actuelle du pilote binaire NVIDIA ​(Les anciennes versions ne supportent pas VDPAU)
-Avec l'arrivée de la dernière version de Flashvous avez pu remarquer que certaines ​vidéos se lisent en mode "​Schtroumpf",​ c'​est-à-dire que tous les visages sont bleutés+  ​*Vous avez le paquet ​**libvdpau** d'installé
- +  * Le lecteur du site utilise ​[[http://​www.adobe.com/devnet/flashplayer/​stagevideo.html|Adobe Stage Video]] (C'est pourquoi uniquement YouTube et quelques autres sites sont touchés). 
-Plusieurs solutions existent pour corriger ce problème ​ +[[http://askubuntu.com/​questions/​117127/​flash-video-appears-blue/131040#131040|(en) Source]] 
- +Il existe des solutions de contournement :
-  *  ​Remplacer flashplayer par [[Gnash]] +
- +
-  *  Faire clic-droit sur une vidéo ​(de youtube par exemple), et décocher ​**Activer l'​accélération matérielle** dans l'onglet **Affichage**. +
- +
-  *  Mais pour ceux qui voudraient garder l'​activation matérielle,​ il va falloir repasser à une version antérieure ​[[http://​www.techspot.com/downloads/5104-adobe-flash-player-for-linux.html|disponible ici]] puis suivre les indications ​[[http://forum.xubuntu-fr.org/viewtopic.php?​pid=8659441#p8659441|données ici]] pour l'​installer.+
  
-  *  Ou encore, ​le problème ​ne venant ​pas du lecteur Flash mais du driver nVidia, on peut patcher ce dernier, à ses risques et périlsMais il a été testé et fonctionne sans problèmepour le patcher il faut ajouter un dépôt tiers ( ppa:​tikhonov/​misc ) et mettre à jour libvdpau1 :+===Utiliser Chromium avec Pepper=== 
 +[[#​depuis_le_ppa_installeur_pepper|Installer Pepper Flashplayer]] 
 +(Les versions de Flashplayer à partir de 11.3xxx ne semblent pas affectées par ce problème). ​  
 +===Remplacer flashplayer===  
 +Par [[:Gnash]] ou autres [[:​flash|lecteurs de Flash]]. 
 +===Empêcher FlashPlayer de trouver libvdpau=== 
 +(Par [[https://​bugs.launchpad.net/​ubuntu/​+source/​adobe-flashplugin/​+bug/​967091/​comments/​103|Mario Daniel Vega sur Launchpad ]])\\ 
 +Cette solution de contournement permet de conserver l'​accélération matérielle.\\ 
 +Le but est de modifier ​le binaire de **Flashplayer** pour l'​obliger à rechercher une bibliothèque inexistante (Que l'on nommera **libxdpau** dans l'​exemple ci-dessous) au lieu de la bilbiothèque **libvdpau**. Par conséquent,​ flashplayer ​ne tentera ​pas d'​utiliser le support VDPAU.\\ 
 +Dans un [[:​terminal]],​ saisir les [[:​commande_shell|commandes]] suivantes : 
 +<​code>​cd /​usr/​lib/​flashplugin-installer 
 +sudo perl -pi.bak -e '​s/​libvdpau/​lixvdpau/​g'​ libflashplayer.so</​code>​ 
 +La commande crée un fichier **libflashplayer.so.bak** de sauvegarde ​du binaire au cas où vous rencontreriez des problèmes. 
 +<note important>​Ces commandes seront à exécuter à chaque mise à jour du plugin Flashplayer.</​note>​ 
 +Le changement prendra effet après le redémarrage du navigateur. 
 +===Patcher libvdpau === 
 +Pour Ubuntu [[:​precise|Précise 12.04]]vous pouvez installer **libvdpau1** modifiée ​à l'aide du [[:PPA]] de Maxim ThikonovPour cela 
 +  - [[:​PPA|Ajouter ​le PPA]] **ppa:​tikhonov/​misc**((https://​launchpad.net/​~tikhonov/​+archive/misc)) dans vos sources de logiciels;  
 +  - [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|recharger la liste des paquets]];​ 
 +  - [[:​tutoriel:​comment_installer_un_paquet|Installer le paquet]] **[[apt>libvdpau1]]**. 
 +Ou dans un [[:​terminal]],​ saisir les [[:​commande_shell|commandes]] suivantes ​
 <​code>​ <​code>​
 sudo add-apt-repository ppa:​tikhonov/​misc sudo add-apt-repository ppa:​tikhonov/​misc
Ligne 192: Ligne 296:
 sudo apt-get install libvdpau1 sudo apt-get install libvdpau1
 </​code>​ </​code>​
 +Le changement prendra effet après le redémarrage du navigateur.
  
-  *  Enfin, désactiver le driver Nvidia peut aussi régler le problème.+==== Mettre une vidéo en plein écran sur un deuxième moniteur ====
  
 +Il suffit pour cela de :
 +   - mettre la vidéo en plein écran sur le premier moniteur,
 +   - puis de la glisser d'un écran vers l'​autre avec la souris en maintenant la touche //Alt// pressée (pour permettre le déplacement de la fenêtre).
  
-Source ​[[http://​www.technophile.site50.net/linux/​2012/​06/​08/​ubuntu-12-04-et-lacceleration-materielle-nvidia-vdpau/​]]. +<​note>​Cette solution permet de regarder sur un autre écran tant que l'on ne fait rien sur le premier ​dès qu'une action est faite sur le premier, la vidéo disparaît du deuxième écranOn peut toutefois ainsi transférer la vidéo sur l'​écran voulu, par exemple pour s'​installer tranquillement dans un canapé pour regarder un film ;)</note> 
-==== Blocage en plein écran ​====+<​note>​Cette solution est valable si les deux écrans proposent la même résolutionSi l'on déplace la vidéo d'​un ​écran ​vers un écran à résolution supérieure,​ la vidéo gardera la résolution,​ plus petite, du premier écran</​note>​
  
-Si la lecture bloque plus ou moins en plein écran ​(impossibilité d'en sortir pendant ​un certain temps, images saccadées ou bloquées avec toujours ​du son)essayez ​:+==== Double écran : travailler sur le premier moniteur en regardant une vidéo ​en plein écran ​sur un autre  ==== 
 +  *Regarder une video flash en full screen et travailler sur un autre écran 
 +<note important>​**Cette Methode [HACK] est Très dangereuse. Faite vos sauvegardes avant tout.**\\ 
 +1er: Sauvegarde ​du Bin originale:​\\ 
 +  *sudo cp /​usr/​lib/​flashplugin-installer/​libflashplayer.so ~/​Backup_flashplugin-installer/​libflashplayer.so\\ 
 +2e: D’abordinstaller un éditeur héxadécimal. **[[apt>​ghex]]**\\ 
 +3eOuvrir le binaire flash. Situé: ​ /​usr/​lib/​flashplugin-installer/​libflashplayer.so\\ 
 +Ou via commande de recherche: $ locate libflashplayer.so\\ 
 +4e: édite le fichier avec l’éditeur hexa en mode admin:\\ 
 +  *$ sudo ghex /​usr/​lib/​flashplugin-installer/​libflashplayer.so\\ 
 +  *Recherche la chaîne _NET_ACTIVE_WINDOW\\ 
 +  *Puis Remplacer une lettre de la sélection par une autre de votre choix.\\ 
 +  *Sauvegarder votre modification.\\ 
 +**Source astuce:** [[http://​sametmax.com/​garder-une-video-flash-en-full-screen-et-travailler-sur-un-autre-ecran/​|Garder une vidéo en plein écran tout en travaillant sur un autre]] 
 +</​note>​
  
-  sudo add-apt-repository ppa:​tikhonov/​misc 
-  sudo apt-get update 
-  sudo apt-get install libvdpau1 
  
-Puis redémarrez. +==== Les vidéos flash saccadent ​==== 
- +  * Les extensions Firefox YouTube ALL HTML5 et Video WithOut Flash forcent ​l'affichage de toute vidéos ​en HTML5 360p ou moins.
-Source : http://​askubuntu.com/​questions/​117127/​flash-video-appears-blue/​131040#​131040 +
- +
-==== Blocage lors de la demande d'​augmentation du cache local ==== +
- +
-Si le cache utilisé dépasse 100KB, un pop-up apparait. Le clique de souris est impossible. +
- +
-Adobe propose une page permettant d'​ajuster ces paramètres. +
- +
-Solution: +
- +
-Augmenter le cache manuellement sur cette page pour le site demandant ​l'accès : +
- +
-[[http://​www.macromedia.com/​support/​documentation/​en/​flashplayer/​help/​settings_manager07.html]] ​+
   ​   ​
-+  * Sur certaines configurations trop légères et/ou anciennes, les vidéos type Youtube, Dailymotion pour ne citer que deux des plus célèbres saccadent ​et consomment des ressources pour un résultat qui ne sera pas regardable. On peut ainsi visionner ces sources sans vouloir installer ​l'élément propriétaire ​FlashPlayer ​sur son système ​et le remplacer par [[:​flash#​choisir_une_solution_de_remplacement_libre_ou_installer_le_lecteur_officiel_proprietaire|Viewtube]]. 
-===== Les vidéos flash saccadent ==== +   
-Sur certaines configurations trop légères et/ou anciennes, les vidéos type Youtube, Dailymotion pour ne citer que deux des plus célèbres saccadentconsomment des ressources pour un résultat qui ne sera pas regardable. +  * On peut opter pour l'​extension Firefox [[https://​addons.mozilla.org/​en-US/​firefox/​addon/​modify-headers/​|modify-headers]]dans laquelle on paramètre l'​User-Agent d'un portable ne pouvant pas avoir flashplayer (exemple : User-Agent_NokiaE5-00/​SymbianOS/​9.1 Series60/​3.0 3gpp-gba_Nokia Featurephone).Cela fait passer Firefox pour un nokia et donc si le site est bien fait, cela force le passage à html5, par contre on a la présentation du site comme sur un mobile
- +==== Impossible ​de modifier les paramètres flash apparaissant en pop-up ==== 
-On peut aussi vouloir ​visionner ces sources sans vouloir installer ​un élément propriétaire sur son système. ​Et FlashPlayer,​ propriétaire, est encore malheureusement trop utilisé+Si par exemple une pop-up flash apparaît pour vous demander d'​autoriser la webcam ou le micro, et que lorsque vous cliquez sur les options de la pop-up celle-ci ne réagit pas, ne pas utiliser Unity 3D peut résoudre ​le problème ​([[http://forum.ubuntu-fr.org/​viewtopic.php?id=948591|discussion : «Firefox et jeux en Flash»]] ; Auteur : Emzy).
-Pour certains sites de vidéos, on peut remplacer Flash simplement ​par FirefoxGreasemonkey ​et le script viewtube. +
-(voir la documentation : [[http://doc.ubuntu-fr.org/​flash?&#​pour_les_petites_configurations|viewtube]])+
  
-Il est également possible d'​utiliser la technologie HMTL5 sur certains sites, dont Youtube. [[https://​www.youtube.com/​html5?​hl=fr|Youtube HTML5]]. 
 ===== Liens ===== ===== Liens =====
  
-  * [[http://get.adobe.com/​fr/​flashplayer/|Site officiel]]+  * [[http://www.adobe.com/​fr/​|Le Site officiel ​d'​Adobe™]]
   * [[http://​www.swift-tools.net/​Flashcam|Le projet Flashcam]]   * [[http://​www.swift-tools.net/​Flashcam|Le projet Flashcam]]
   * [[http://​www.technofeliz.com/​2008/​04/​14/​eeepc-webcam-et-site-en-flash | EeePC, Webcam et site en Flash]]   * [[http://​www.technofeliz.com/​2008/​04/​14/​eeepc-webcam-et-site-en-flash | EeePC, Webcam et site en Flash]]
   * [[http://​libre-et-ouvert.blogspot.com/​2009/​03/​facheux-flash.html|LSO (Local Shared Objects)]]   * [[http://​libre-et-ouvert.blogspot.com/​2009/​03/​facheux-flash.html|LSO (Local Shared Objects)]]
-  * [[http://labs.adobe.com/downloads/flashplayer10.html#flashplayer10]] Pour la dermiére version de flash utilisant un GPU.  ​+  * [[http://fds-team.de/cms/pipelight-installation.html#section_2_3 | Installation de Pipelight avec Processeur AMD Sempron et Athlon ​]]
  
 ---- ----
-Contributeurs : //​[[utilisateurs:​Fabien26]],​ ametaireau, [[utilisateurs:​McPeter]],​ [[utilisateurs:​Mirmidon]],​ tyn0r, [[utilisateurs:​Theozzfancometh]],​ [[utilisateurs:​Agmenor]],​[[utilisateurs:​BeAvEr]],​ [[:​utilisateurs:​YannUbuntu]],​ [[:​utilisateurs:​lami|L'​ami René]].+Contributeurs : //​[[utilisateurs:​Fabien26]],​ ametaireau, [[utilisateurs:​McPeter]],​ [[utilisateurs:​Mirmidon]],​ tyn0r, [[utilisateurs:​Theozzfancometh]],​ [[utilisateurs:​Agmenor]],​[[utilisateurs:​BeAvEr]],​ [[:​utilisateurs:​YannUbuntu]],​ [[:​utilisateurs:​lami|L'​ami René]], [[:​utilisateurs:​gp974]],​ [[:​utilisateurs:​metalux]],​ yonizos, [[utilisateurs:​Kaffee|MHak]],​ [[utilisateurs:​eagle08|René Stoecklin]] : respect de la norme W3C ; expliciter les liens pour le lecteur Braille Lynx.//


Le contenu de ce wiki est sous licence : CC BY-SA v3.0